cURL
curl --request POST \
--url https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"received_date": "2022-04-18T09:46:00Z",
"collected_date": "2022-04-18T09:46:00Z",
"report_generated_date": "2022-04-18T09:46:00Z",
"markers": [
{
"name": "<string>",
"result": "<string>",
"unit": "<string>",
"result_level": "<string>",
"lab_comments": "<string>"
}
]
}
'import requests
url = "https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/results"
payload = {
"received_date": "2022-04-18T09:46:00Z",
"collected_date": "2022-04-18T09:46:00Z",
"report_generated_date": "2022-04-18T09:46:00Z",
"markers": [
{
"name": "<string>",
"result": "<string>",
"unit": "<string>",
"result_level": "<string>",
"lab_comments": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
received_date: '2022-04-18T09:46:00Z',
collected_date: '2022-04-18T09:46:00Z',
report_generated_date: '2022-04-18T09:46:00Z',
markers: [
{
name: '<string>',
result: '<string>',
unit: '<string>',
result_level: '<string>',
lab_comments: '<string>'
}
]
})
};
fetch('https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"patient_id": "<string>",
"success": true
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Biomarkers
Ingest Patient Biomarkers
The API always returns true as background jobs process the results.
POST
/
patient
/
{patientId}
/
results
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the patient in question A universally unique identifier.
Example:
"29ea9012-c622-4851-a57a-9327abd21198"
Body
application/json
⌘I